Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.register
Class RegisterAppDataRoot

    java.lang.Object
      |
      +--com.jxml.qare.qhome.SDO
            |
            +--com.jxml.qare.qhome.AppData
                  |
                  +--com.jxml.qare.qhome.register.RegisterAppDataBase
                        |
                        +--com.jxml.qare.qhome.register.RegisterAppDataRoot

All Implemented Interfaces:
  Item

public class RegisterAppDataRoot
extends RegisterAppDataBase

Fields inherited from class com.jxml.qare.qhome.AppData
`appDataRow`

Constructor Summary
`RegisterAppDataRoot()`

Method Summary
`List` | `apps()` Returns the list of RegisterApp objects for this system
`List` | `apps(String url)` Returns the list of RegisterApp objects for the system requested

Methods inherited from class com.jxml.qare.qhome.register.RegisterAppDataBase
`getAppDataFactory`

Methods inherited from class com.jxml.qare.qhome.AppData
`dbAdd, dbAdd, dbAddRoot, dbDelete, dbGet, dbGetRoot, dbUpdate, emptyTable, emptyWithKey, eval, getAction, getApplication, getContents, getContentsWithKey, getFactory, getId, getKey, getKeys, getPlugin, getTable, getTables, getWithKey, inDB, inTable, peerDeleted, process, removedFromTable, tableAdd, tableAdd, tableDelete, tableDelete`

Methods inherited from class com.jxml.qare.qhome.SDO
`createInboxMsg, createInboxMsg, exceptionTraceString, getFactoryClassName, getQDoc, getSchema, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegisterAppDataRoot

    public RegisterAppDataRoot()

Method Detail

### apps

    public List apps()
              throws Exception

  Returns the list of RegisterApp objects for this system

### apps

    public List apps(String url)
              throws Exception

  Returns the list of RegisterApp objects for the system requested

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD